package com.slibra.business.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;




@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WorkOrderReq {


    /**  开始时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    private String timeBegin;

    /** 截止时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    private String timeEnd;

    private int whichWay;//统计方式  0:日报  1:工业库(在线仪表)

    /** 进水水量Q进 */
    private Boolean jsSlq = false;

    /** 进水化学需氧量COD */
    private Boolean jsCod = false;

    /** 进水总氮TN */
    private Boolean jsTn = false;

    /** 进水总磷TP */
    private Boolean jsTp = false;

    /** 进水氨氮NH₃-N */
    private Boolean jsNh3 = false;

    /** 进水悬浮物SS */
    private Boolean jsSs = false;


    /** 出水水量Q出 */
    private Boolean csSlqc = false;

    /** 出水化学需氧量COD */
    private Boolean csCod = false;

    /** 出水总氮TN */
    private Boolean csTn = false;

    /** 出水总磷TP */
    private Boolean csTp = false;

    /** 出水氨氮NH₃-N */
    private Boolean csNh3 = false;

    /** 出水悬浮物SS */
    private Boolean csSs = false;

    /** 1#好氧池硝酸盐（内回流）+ 回流进水化验机器人有效值1（硝氮1池回流机器人） */
    private Boolean no3Hlj1Jqr = false;

    /** 2#好氧池硝酸盐（内回流） + 回流进水化验机器人有效值2（硝氮2池回流机器人） */
    private Boolean no3Hlj2Jqr = false;

    /** 1#缺氧氨氮 + 化验机器人氨氮化验有效值1（氨氮1池缺氧机器人） */
    private Boolean nh31Jqr = false;

    /** 2#缺氧氨氮 + 化验机器人氨氮化验有效值2（氨氮2池缺氧机器人） */
    private Boolean nh32Jqr = false;

    /** 1#缺氧出口硝酸盐 + 缺氧出水化验机器人有效值1（硝氮1池缺氧机器人） */
    private Boolean no3Qyc1Jqr = false;

    /** 2#缺氧出-硝酸盐 + 缺氧出水化验机器人有效值2（硝氮2池缺氧机器人） */
    private Boolean no3Qyc2Jqr = false;

    /** 二沉池-正磷酸盐 + 化验机器人正磷化验有效值二沉池（正磷二沉池机器人） */
    private Boolean tpRccJqr = false;




}
