package com.slibra.business.res;

import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MoreExcelInfo
{
    private static final long serialVersionUID = 1L;

    /** 泵站 */
    @Excel(name = "泵站")
    private String pumpingStationName = "";

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String neighbourName = "";

    /** 楼号 */
    @Excel(name = "楼号")
    private String buildingName = "无";


}
