package com.slibra.business.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户信息对象 t_user_info
 * 
 * @author slibra
 * @date 2024-11-06
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class NeighbourAndMeterPhoneResp implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String neighbourhoodName;

    /** 抄表员电话 */
    @Excel(name = "抄表员电话")
    private String meterReaderPhone;

}
