package com.slibra.business.res;


import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class NeighbourhoodNumberAndAddFlag {


    //记录ID
//    private Long id;

    //泵站ID
    @JsonIgnore
    private Long pumpingStationId;

    //小区ID
    @JsonIgnore
    private Long neighbourhoodId;

    //楼号ID
    private Long buildingId;

    //楼号名称
    private String buildingsNames;

    //按钮的显示状态： 0：可以勾选，前面是白色的框  1：被其他泵站关联，置灰  2：已经被本泵站勾选过来，前面显示✔️
    private int addStatus;





}
