package com.slibra.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "oss.qiniu", ignoreUnknownFields = false)
public class QiNiuYunProperties {
    /**
     * 七牛域名domain
     */
    private String url;
    /**
     * 七牛ACCESS_KEY
     */
    private String accessKey;
    /**
     * 七牛SECRET_KEY
     */
    private String secretKey;
    /**
     * 七牛空间名
     */
    private String bucketName;

}
